var ApprovalService = function(restEngine) {

    this.approvesAlcada = function(currentRow, operacao, justificativa) {
        return restEngine.post(
            'sup#/aprovacaoAlcadas', {
                "requestType": "Row",
                "row": {
                    'OPERACAO': operacao,
                    'NRAUTOFORN': currentRow.NRDEMANDA,
                    'CDFILDEST': currentRow.CDFILDEST,
                    'CDFILLANC': currentRow.CDFILLANC,
                    'APROVADOR': currentRow.APROVADOR,
                    'CDOPERLOG': getLocalVar('CDOPERADOR'),
                    'NRCONFIGALCADA': currentRow.NRCONFIGALCADA,
                    'VRAPROVACAO': currentRow.VRAPROVCMP,
                    'NRAPROVALCADA': currentRow.NRAPROVALCADA,
                    'JUSTIFICATIVA': justificativa,
                    'CDFORNECED': currentRow.CDFORNECED,
                    'VRTOTALAF': currentRow.VRTOTALAF,
                    'IDTPALCADA': currentRow.IDTPALCADA,
                    'IDTPDEMANDA': currentRow.IDTPDEMANDA,
                    'IDTIPOVRAPROV': currentRow.IDTIPOVRAPROV,
                    'IDCONSISTVRAPROV': currentRow.IDCONSISTVRAPROV,
                    'CDFILCENTCMP': currentRow.CDFILCENTCMP,
                    'IDTIPOAF': currentRow.IDTIPOAF,
                    'IDLANCAFEXTRA': currentRow.IDLANCAFEXTRA,
                }
            }
        );
    };

};

Configuration(function(ContextRegister) {
    ContextRegister.register('ApprovalService', ApprovalService);
});
